// the actual implementation is from Cornelius Schumacher for now.


// $Id: standardsync.h,v 1.3 2002/07/15 17:41:09 zecke Exp $

#ifndef KSYNC_STANDARD_SYNC_H
#define KSYNC_STANDARD_SYNC_H

#include "syncalgorithm.h"

namespace KSync {
    class StandardSync : public SyncAlgorithm {
    public:
        StandardSync(SyncUi* ui) : SyncAlgorithm( ui ) {};

        virtual ~StandardSync() {
        };

        virtual void syncToTarget(Syncee* syncee,  Syncee* target,  bool override = false );
    };
};

#endif
